#
# spec file for package ghc-amazonka-gamelift
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-gamelift
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        7.13
Summary:        Amazon GameLift SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
Amazon GameLift Service Welcome to the /Amazon GameLift API Reference/.
Amazon GameLift is a managed Amazon Web Services (AWS) service for developers
who need a scalable, server-based solution for multiplayer games.
Amazon GameLift provides setup and deployment of game servers, and handles
infrastructure scaling and session management. For more information about the
GameLift service, including a feature overview, getting started guide, and
tutorial, see the accompanying
<http://docs.aws.amazon.com/gamelift/latest/developerguide/ Amazon GameLift
Developer Guide>. This reference describes the low-level service API for
GameLift. You can call this API directly or use the
<https://aws.amazon.com/tools/ AWS SDK> for your preferred language.
The AWS SDK includes a set of high-level GameLift actions multiplayer game
sessions. Alternatively, you can use the <https://aws.amazon.com/cli/ AWS
command-line interface> (CLI) tool, which includes commands for GameLift.
For administrative actions, you can use the Amazon GameLift console.
__Managing Game and Player Sessions Through GameLift__ Call these actions from
your game clients and/or services to create and manage multiplayer game
sessions. - __Game sessions__ - < CreateGameSession> - < DescribeGameSessions>
- < DescribeGameSessionDetails> - < UpdateGameSession> - __Player sessions__ -
< CreatePlayerSession> - < CreatePlayerSessions> - < DescribePlayerSessions> -
__Other actions:__ - < GetGameSessionLogUrl> __Setting Up Game Servers__ Use
these administrative actions to configure GameLift to host your game servers.
When configuring GameLift, you'll need to (1) configure a build for your game
and provide build files, and (2) set up one or more fleets to host game
sessions. - __Build actions:__ - < ListBuilds> - < CreateBuild> - <
DescribeBuild> - < UpdateBuild> - < DeleteBuild> - < RequestUploadCredentials>
- __Fleet actions:__ - < ListFleets> - < CreateFleet> - Describe fleet actions:
- < DescribeFleetAttributes> - < DescribeFleetCapacity> - <
DescribeFleetPortSettings> - < DescribeFleetUtilization> - <
DescribeEC2InstanceLimits> - < DescribeFleetEvents> - Update fleet actions: - <
UpdateFleetAttributes> - < UpdateFleetCapacity> - < UpdateFleetPortSettings> -
< DeleteFleet> - __Alias actions:__ - < ListAliases> - < CreateAlias> - <
DescribeAlias> - < UpdateAlias> - < DeleteAlias> - < ResolveAlias> - __Scaling
policy actions:__ - < PutScalingPolicy> - < DescribeScalingPolicies> - <
DeleteScalingPolicy>

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.GameLift" or <https://aws.amazon.com/documentation/ the AWS
Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
